RMDIR(1)

NAME
rmdir - remove empty directories

SYNOPSIS
rmdir [options] directory...

POSIX options: [-p] [--]

GNU options (shortest form): [-p] [--ignore-fail-on-non-empty] [--help] [--version] [--]

DESCRIPTION
rmdir removes empty directories.

If any directory argument does not refer to an existing empty directory, it is an error.

POSIX OPTIONS

-p  If directory includes more than one pathname component, remove it, then strip the last component and remove the resulting directory, etc., until all components have been removed. Thus, `rmdir -p a/b/c' is equivalent to `rmdir a/b/c; rmdir a/b; rmdir a'.

--  Terminate option list.

GNU OPTIONS

--ignore-fail-on-non-empty
    Normally rmdir will refuse to remove a directory that is not empty. This option causes rmdir to ignore the failure to remove a directory, if that failure is due to the directory being non-empty. (New in fileutils-4.0.)

-p, --parents
    As above.

GNU STANDARD OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output, then exit successfully.

--  Terminate option list.

ENVIRONMENT
The variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES have the usual meaning.

CONFORMING TO
POSIX.2

EXAMPLE OF USE
The command `rmdir foo' will remove the directory foo if it is empty. To remove a nonempty directory, together with everything below, use `rm -r foo'.

NOTES
This page describes rmdir as found in the fileutils-4.0 package; other versions may differ slightly.